Subject: Framework Packages aren't sorted properly
Description

In the package dependency resolver, the method buildDependencyGraph builds the dependency graph first for the framework
packages and afterwards for all left packages.

The filtering if a package is a framework package happens by comparing the package path with PATH_typo3 and a sysext folder
contant. But as PATH_typo3 is absolute and the package path from the package states configuration is relative to PATH_site, this
filter does not work.

Related issues:
related to Core - Bug # 55646: Framework Packages aren't sorted properly if p... Needs Feedback2014-02-04

Associated revisions
Revision 5e3b9dc4 - 2014-02-03 14:48 - Thomas Maroschik

[BUGFIX] Framework Packages aren't sorted properly

In the package dependency resolver, the method
buildDependencyGraph builds the dependency graph
first for the framework packages and afterwards
for all left packages.

The filtering if a package is a framework package
happens by comparing the package path with PATH_typo3
and a sysext folder contant. But as PATH_typo3 is
absolute and the package path from the package states
configuration is relative to PATH_site, this filter
does not work.

The patch changes the path to a relativ one.

Fixes: #55623
Releases: 6.2
Change-Id: I2f57dee433054463ebfd17aab5f76b19986c2747
Reviewed-on: https://review.typo3.org/27300
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Stefan Froemken
Tested-by: Stefan Froemken
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History
#1 - 2014-02-03 14:28 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27300

#2 - 2014-02-03 15:30 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5e3b9dc42b45150e7da6536ebbfce40e675d0b2f.
